#
# spec file for package glpk
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           glpk
%define lname	libglpk36
Version:        4.52.1
Release:        0
Summary:        GNU Linear Programming Kit
License:        GPL-3.0
Group:          Productivity/Scientific/Math
Url:            http://www.gnu.org/software/glpk/glpk.html

#DL-URL:	http://ftp.gnu.org/gnu/glpk/
Source:         http://ftp.gnu.org/gnu/glpk/%name-%version.tar.gz
Source2:        http://ftp.gnu.org/gnu/glpk/%name-%version.tar.gz
Source3:        %name.keyring
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ghostscript
BuildRequires:  texlive

%description
The GLPK package is intended for solving large-scale linear
programming, mixed integer programming, and other related problems. It
is a set of routines written in ANSI C and organized in the form of a
callable library.



%package devel
Summary:        GNU Linear Programming Kit
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
The GLPK package is intended for solving large-scale linear
programming, mixed integer programming, and other related problems. It
is a set of routines written in ANSI C and organized in the form of a
callable library.



%package -n %lname
Summary:        GNU Linear Programming Kit
Group:          System/Libraries

%description -n %lname
The GLPK package is intended for solving large-scale linear
programming, mixed integer programming, and other related problems. It
is a set of routines written in ANSI C and organized in the form of a
callable library.



%package doc
Summary:        GNU Linear Programming Kit
Group:          Documentation/Other
%if 0%{?suse_version} >= 1120 || 0%{?fedora_version}
BuildArch:      noarch
%endif

%description doc
The GLPK package is intended for solving large-scale linear
programming, mixed integer programming, and other related problems. It
is a set of routines written in ANSI C and organized in the form of a
callable library.



%prep
%{?gpg_verify: %gpg_verify %{S:2}}
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm $RPM_BUILD_ROOT%{_libdir}/*.la
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}/examples
cp examples/*.{mod,c,dat,mps,lp} $RPM_BUILD_ROOT%{_docdir}/%{name}/examples
mkdir $RPM_BUILD_ROOT%{_docdir}/%{name}/doc
cp doc/{*.txt,*.pdf} $RPM_BUILD_ROOT%{_docdir}/%{name}/doc
cp {AUTHORS,ChangeLog,COPYING,NEWS,README} $RPM_BUILD_ROOT%{_docdir}/%{name}

%check
make check

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/AUTHORS
%{_docdir}/%{name}/ChangeLog
%{_docdir}/%{name}/COPYING
%{_docdir}/%{name}/NEWS
%{_docdir}/%{name}/README
%{_bindir}/glpsol

%files -n %lname
%defattr(-,root,root)
%{_libdir}/libglpk.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/libglpk.so

%files doc
%defattr(-,root,root)
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/doc
%{_docdir}/%{name}/examples

%changelog
